@ECHO OFF
ECHO *******************************
ECHO  VR Slingshot 1.0 Installation
ECHO *******************************
IF "%1"=="" GOTO INFO_
ECHO Press any key to install VRS in %1\VRS
ECHO or press Ctrl-C to cancel.
PAUSE > nul


ECHO MKDIR %1\VRS
MKDIR %1\VRS


ECHO COPY readme.txt %1\VRS
COPY readme.txt %1\VRS
IF NOT EXIST %1\VRS\readme.txt GOTO ERROR_
ECHO COPY readme.bat %1\VRS
COPY readme.bat %1\VRS
IF NOT EXIST %1\VRS\readme.bat GOTO ERROR_
ECHO vlz.exe /d %1\VRS
vlz.exe /d      %1\VRS
IF ERRORLEVEL 1 GOTO ERROR_


ECHO The installation is complete.
ECHO To run VR Slingshot, change to %1\VRS and type 
ECHO   vrs
GOTO DONE_


:INFO_

ECHO USAGE: "install <target path>"
ECHO Example 1:
ECHO   install C:
ECHO This will install VR Slingshot in C:\VRS
ECHO Example 2, where a directory GAMES already exists:
ECHO   install C:\GAMES
ECHO This will install VR Slingshot in C:\GAMES\VRS
ECHO --------------------------------------------------------
ECHO This command must be executed in the current path
ECHO where the VR Slingshot files reside.
ECHO For example, if you are on C: and the install files
ECHO are in A:, type
ECHO   A:
ECHO   install C:
ECHO --------------------------------------------------------
ECHO If you wish to do the install by hand, copy all the
ECHO files from the install disk to where you want them,
ECHO then type
ECHO   vlz
ECHO This will decompress all the files. You can then delete
ECHO vlz.exe. To run VR Slingshot, type
ECHO   vrs
goto DONE_


:ERROR_

ECHO .
ECHO The installation was not completed.
ECHO Make sure a valid path was specified and that you have
ECHO at least 2.1 megabytes of free disk space.

:DONE_
